KPopupFrame Class Reference

`#include <kdatetbl.h>`

Inherits QFrame.

## Public Slots

void | close (int r)
void | hide ()

## Public Member Functions

| KPopupFrame (QWidget *parent=0, const char *name=0)
| ~KPopupFrame ()
void | setMainWidget (QWidget *m)
virtual void | resizeEvent (QResizeEvent *)
void | popup (const QPoint &pos)
int | exec (QPoint p)
int | exec (int x, int y)

## Protected Member Functions

virtual void | keyPressEvent (QKeyEvent *e)
virtual void | virtual_hook (int id, void *data)

## Protected Attributes

int | result
QWidget * | main

## Detailed Description

Frame with popup menu behavior.

Author
  Tim Gilman, Mirko Boehm

Version

Id
  kdatetbl.h 565029 2006-07-22 07:30:24Z kling

Definition at line 166 of file kdatetbl.h.

## Constructor & Destructor Documentation

KPopupFrame::KPopupFrame | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

The contructor.

Creates a dialog without buttons.

Definition at line 915 of file kdatetbl.cpp.

KPopupFrame::~KPopupFrame | ( |  | ) |

The destructor.

Definition at line 925 of file kdatetbl.cpp.

## Member Function Documentation

void KPopupFrame::close | ( | int | r | ) |

slot

Close the popup window.

This is called from the main widget, usually. `r` is the result returned from exec().

Definition at line 942 of file kdatetbl.cpp.

int KPopupFrame::exec | ( | QPoint | p | ) |

Execute the popup window.

Definition at line 1005 of file kdatetbl.cpp.

int KPopupFrame::exec | ( | int | x,
|  | int | y
| ) |  |

Execute the popup window.

Definition at line 1016 of file kdatetbl.cpp.

void KPopupFrame::hide | ( |  | ) |

slot

Hides the widget.

Reimplemented from QWidget

Definition at line 950 of file kdatetbl.cpp.

void KPopupFrame::keyPressEvent | ( | QKeyEvent * | e | ) |

protected virtual

Catch key press events.

Definition at line 931 of file kdatetbl.cpp.

void KPopupFrame::popup | ( | const QPoint & | pos | ) |

Open the popup window at position pos.

Definition at line 981 of file kdatetbl.cpp.

void KPopupFrame::resizeEvent | ( | QResizeEvent * |  | ) |

virtual

The resize event.

Simply resizes the main widget to the whole widgets client size.

Definition at line 971 of file kdatetbl.cpp.

void KPopupFrame::setMainWidget | ( | QWidget * | m | ) |

Set the main widget.

You cannot set the main widget from the constructor, since it must be a child of the frame itselfes. Be careful: the size is set to the main widgets size. It is up to you to set the main widgets correct size before setting it as the main widget.

Definition at line 961 of file kdatetbl.cpp.

## Member Data Documentation

QWidget* KPopupFrame::main

protected

The only subwidget that uses the whole dialog window.

Definition at line 181 of file kdatetbl.h.

int KPopupFrame::result

protected

The result.

It is returned from exec() when the popup window closes.

Definition at line 173 of file kdatetbl.h.

The documentation for this class was generated from the following files:

- kdatetbl.h
- kdatetbl.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys